# ~/.zshrc.d/fzf.zsh

[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh

## default opts uses Catppuccin (mocha) color palette
export FZF_DEFAULT_OPTS='--color=bg+:#302D41,bg:#1E1E2E,spinner:#F8BD96,hl:#F28FAD --color=fg:#D9E0EE,header:#F28FAD,info:#DDB6F2,pointer:#F8BD96 --color=marker:#F8BD96,fg+:#F2CDCD,prompt:#DDB6F2,hl+:#F28FAD'

## completion trigger
export FZF_COMPLETION_TRIGGER="~~"

## default source for fzf
export FZF_DEFAULT_COMMAND="fd --type f --hidden --follow --exclude .git"

## keybinding for fzf-marks
bindkey '\eg' fzm

## page up within tmux enters scroll mode
if [ -f ~/.fzf/shell/keybindings.zsh ]; then
    source ~/.fzf/shell/keybindings.zsh

    page-up-within-tmux() {
        if (( ${+TMUX} )); then
            tmux copy-mode -u
        fi
    }
    zle -N page-up-within-tmux

    bindkey "${terminfo[kpp]}" page-up-within-tmux
fi
